#!/bin/bash

# Copyright (c) 2005 Chris Reuter. all rights reserved.
#
# This software may be freely redistributed under the terms of the GNU
# public license.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# This script creates source and binary kits from the current directory.
# The directory name must be the version number.


# The project name
projbase=qfp

rootname=`basename \`pwd\``

cd ..

srckit_files=`echo $rootname/src/* $rootname/unix/*.sh $rootname/docs/*.txt | \
				sed -e 's/[^ ]*~//g'`

noarch_files=`echo $rootname/image/game.image.bz2 \
				$rootname/docs/{Manual.txt,gpl.txt,SqueakLicense.txt} \
				$rootname/unix/{qfp.sh,install.sh}`

src_tar=$rootname-src.tar
bin_tar=$rootname-noarch.tar

DEBUG=

# The source kit.
echo "Making $src_tar"
$DEBUG tar cvf $src_tar $srckit_files

echo "Compressing..."
$DEBUG bzip2 -9 $src_tar

# Tne binary distribution (except for the VM).
echo "Making $bin_tar"
$DEBUG tar cvf $bin_tar $noarch_files


